Create a new verification

You can use the /verification endpoints to submit verifications programmatically. We'll start with creating a simple KYB verification.

In the sample provided below, we'll create an Australian company with just the required fields.

The credentials provided can be used to run the request in the test environment.


POST/v5/verifications

Create a verification

In this example, we will create a simple verification for an Australian company. We will only include the minimum required fields.

Request body

  • Name
    country
    Type
    string
    Description

    ISO3 Country code of the entity

  • Name
    type
    Type
    string
    Description

    Entity type

  • Name
    subType
    Type
    string
    Description

    Entity sub-type

  • Name
    name
    Type
    string
    Description

    Entity name

  • Name
    industry
    Type
    string
    Description

    Industry description

  • Name
    website
    Type
    string
    Description

    Entity website URL

  • Name
    inputRisk
    Type
    string
    Description

    IDV Risk level of the entity

  • Name
    identifiers
    Type
    object
    Description

    Entity identifiers

  • Name
    addresses
    Type
    object
    Description

    Entity addresses

  • Name
    documents
    Type
    array
    Description

    Array of document objects

  • Name
    stakeholders
    Type
    array
    Description

    Array of stakeholder objects

Request

POST
/v5/verifications
curl https://dev.bronid.com/v5/verifications \
  --user "XL7ULiU6B4QE9Y2iWFZnhtMDKFN2:api_sec_NJAtNcRtUrPlf7xYDrMNP9URI-ZfN314" \
  --header "Content-Type: application/json" \
  --data '{
      "country": "AUS",
      "type": "company",
      "subType": "none",
      "name": "My company name",
      "industry": "Industry description",
      "website": "https://bronid.com",
      "inputRisk": "low",
      "identifiers": {
        "acn": "123456789"
      },
      "addresses": {},
      "documents": [],
      "stakeholders": []
  }'

Response

{
  "timestamp": "2026-01-27T04:25:42.101Z",
  "serviceUid": "XL7ULiU6B4QE9Y2iWFZnhtMDKFN2",
  "trace": "_mycHhuXA8vDMTgbCsqJf",
  "path": "/v5/verifications",
  "pathParams": {},
  "statusCode": 200,
  "message": "Verification created successfully",
  "help": null,
  "status": "success",
  "data": null,
  "error": null
}

What's next?

Great, you've now submitted a new verification to the bronID API. Next, learn how to include addresses in your verification requests.

Was this page helpful?